## zeroc-ice 3.6.2-stretch-51-gba6baa6

=== debian/changelog ===
zeroc-ice (3.6.2-stretch-51-gba6baa6-2) unstable; urgency=medium

  * Fix FTBFS on kfreebsd-i386: icebox is called icebox32 there as well

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Jun 2016 09:28:35 +0200

zeroc-ice (3.6.2-stretch-51-gba6baa6-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Imported Upstream version 3.6.2-stretch-51-gba6baa6

  [ Jose Gutierrez de la Concha ]
  * Move Java testing to override_dh_auto_test-indep
  * Adapt the packaging to the new upstream git version

  [ Ondřej Surý ]
  * Re-add missing LD_LIBRARY_PATH to cpp11 builds

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 17:18:35 +0200

zeroc-ice (3.6.2-stretch-46-g4a14f75-5) unstable; urgency=medium

  * Don't fail override_dh_auto_clean-indep on missing gradle

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jun 2016 14:40:43 +0200

zeroc-ice (3.6.2-stretch-46-g4a14f75-4) unstable; urgency=medium

  * Move libdb-java to Build-Depends-Indep to allow even more builds to be
    tried

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jun 2016 13:20:39 +0200

zeroc-ice (3.6.2-stretch-46-g4a14f75-3) unstable; urgency=medium

  * We need maven-repo-helper in Build-Depends(-Arch)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jun 2016 13:10:34 +0200

zeroc-ice (3.6.2-stretch-46-g4a14f75-2) unstable; urgency=medium

  * Use DEB_HOST_MULTIARCH instead of guessing the triplet value
  * Add more LD_LIBRARY_PATHs for the java builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jun 2016 10:34:14 +0200

zeroc-ice (3.6.2-stretch-46-g4a14f75-1) unstable; urgency=medium

  * Change Maintainer email to 'José Gutiérrez de la Concha'
  * Move java dependencies to Build-Depends-Indep to allow binary only
    builds on archs without java dependencies
  * Imported Upstream version 3.6.2-stretch-46-g4a14f75

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jun 2016 09:12:29 +0200

zeroc-ice (3.6.2-stretch-41-g0d8b495-2) unstable; urgency=medium

  * Make debian/zeroc-ice-slice.links executable
  * Source-only uploads now works (Closes: #806880)
  * No conflicting files anymore (Closes: #826800, #826801)
  * Add ${php:Depends} and ${php:Provides} to php-zeroc-ice (Closes: #826904)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2016 13:39:06 +0200

zeroc-ice (3.6.2-stretch-41-g0d8b495-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Imported Upstream version 3.6.2-stretch-41-g0d8b495
  * Revert "Simplify icebox installation by using wildcards"
  * Model gradle options after gradle-debian-helper
  * We need to compile cpp/src/slice2java in -indep to have slice2java
    program available and run install from src/config
  * Add /usr/share/slice symlink to /usr/share/Ice-$(VERSION)/slice
  * Remove some extra /src from makefile target dirs

  [ José Gutiérrez de la Concha ]
  * Update to upstream version 3.6.2-stretch+git2+0d8b495

  [ Ondřej Surý ]
  * Disable tests for indep build
  * Test without -PjarsClassPath=true as it seems to break the build
  * mh_install thinks that '-i' is its own --ignore-rules=true and it
    breaks -A build, so we need to override it
  * Add LD_LIBRARY_PATH to the tests
  * Change locale to en_US.UTF-8 and don't fail on failed tests

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2016 12:32:08 +0200

zeroc-ice (3.6.2-stretch+git1+6f49504-2) unstable; urgency=medium

  * Remove unused variables from d/rules
  * Update d/copyright with the upstream version
  * Simplify icebox installation by using wildcards

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2016 16:21:28 +0200

zeroc-ice (3.6.2-stretch+git1+6f49504-1) unstable; urgency=medium

  * Imported Upstream version 3.6.2-stretch+git1+6f49504
  * Merge the upstream packaging
  * Cleanup maintainer scripts and Debian packaging
  * Cull invalid ICE_LICENSE links and fix other bits and pieces here and there
  * No need to version the source package
  * Don't specify jdk version, but use default-jdk{-headless,}
  * Add javahelper
  * Add some missing files into packages
  * Add override for dh_php
  * Fix a lot of lintian errors
  * Tweak build-deps
  * Merge fixes to upstream d/rules
  * Add patch to allow setting custom php-config via PHP_CONFIG
  * Build for multiple PHP versions
  * Hardcode locale to C.UTF-8
  * Add Vcs-* links
  * Don't re-export *FLAGS again
  * Don't enable full hardening as it breaks the build
  * Various little improvements using standard debhelper tools
  * Improve description and other fixes in d/control
  * Use even more debhelper and dh-exec
  * Override some shared library quirks in the package
  * Use simple upstream version (without any git version cruft)
  * Fix the zeroc-icebox dh-exec and rename manpage to ${ICEBOX}.1
  * Add symlinks for *-source.jar(s)
  * export default JAVA_HOME
  * Add three missing C++11 libraries to libzeroc-ice3.6 package
  * Add /usr/share/slice to zeroc-ice-slice package
  * Add dh-python to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2016 14:16:57 +0200
