=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: extra
Maintainer: José Gutiérrez de la Concha <jose@zeroc.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep: default-jdk,
                     gradle (>= 2),
                     gradle-ice-builder-plugin,
                     javahelper,
                     libdb-java,
                     libjgoodies-forms-java (>= 1.6.0),
                     libjgoodies-looks-java (>= 2.5.2),
                     openjfx
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-php (>= 0.20),
               dh-python,
               dh-systemd (>= 1.3),
               libbz2-dev,
               libdb++-dev,
               libexpat1-dev,
               libmcpp-dev,
               libssl-dev,
               locales-all,
               maven-repo-helper (>= 1.8),
               php-all-dev,
               php-cli,
               python
Standards-Version: 3.9.8
Homepage: https://zeroc.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zeroc-ice.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zeroc-ice.git

Package: libzeroc-freeze3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: freeze persistence service C++ run-time
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains the freeze persistence service C++ run-time.

Package: libzeroc-ice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: libice++-dev,
          libzeroc-ice35-dev
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-compilers (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools, libraries and headers for developing Ice applications in C++
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains the tools, libraries and headers needed for
 developing Ice applications in C++.

Package: libzeroc-ice-java
Architecture: all
Multi-Arch: foreign
Section: java
Replaces: ice35-translators,
          libice-java-dev,
          libzeroc-ice3.6-java
Depends: default-jdk | openjdk-7-jdk | openjdk-8-jdk | oracle-java7-installer | oracle-java8-installer,
         libdb5.3-java (>= 5.3.28),
         libzeroc-ice3.6 (>= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools for developing Ice applications in Java
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains the tools needed for developing Ice
 applications in Java.

Package: libzeroc-ice3.6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Internet Communications Engine (ICE) shared libraries
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains shared libraries for the Ice framework.

Package: libzeroc-icestorm3.6
Architecture: any
Multi-Arch: same
Section: net
Pre-Depends: ${misc:Pre-Depends}
Depends: libzeroc-freeze3.6 (= ${binary:Version}),
         libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IceStorm publish–subscribe event distribution service for Ice
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains the IceStorm publish–subscribe event
 distribution service.

Package: php-zeroc-ice
Architecture: any
Section: php
Replaces: libice3.5-php
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${php:Provides}
Description: PHP extension for Ice
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains PHP extension for communicating with Ice.

Package: zeroc-glacier2
Architecture: any
Multi-Arch: foreign
Section: net
Replaces: glacier2,
          ice35-services
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Glacier2 router daemon for Ice
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains the Glacier2 firewall traversal service.

Package: zeroc-ice-all-dev
Architecture: all
Section: devel
Depends: libzeroc-ice-dev (>= ${source:Version}),
         libzeroc-ice-java (= ${source:Version}),
         zeroc-ice-compilers (>= ${source:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends}
Replaces: libzeroc-ice-java (<=3.5.1)
Description: Ice development packages (dependency package)
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This is a metapackage that depends on all development packages for Ice.

Package: zeroc-ice-all-runtime
Architecture: all
Section: net
Depends: libzeroc-freeze3.6 (>= ${source:Version}),
         libzeroc-ice3.6 (>= ${source:Version}),
         libzeroc-icestorm3.6 (>= ${source:Version}),
         php-zeroc-ice (>= ${source:Version}),
         zeroc-glacier2 (>= ${source:Version}),
         zeroc-ice-slice (>= ${source:Version}),
         zeroc-ice-utils (>= ${source:Version}),
         zeroc-ice-utils-java (>= ${source:Version}),
         zeroc-icebox (>= ${source:Version}),
         zeroc-icegrid (>= ${source:Version}),
         zeroc-icepatch2 (>= ${source:Version}),
         ${misc:Depends}
Replaces: icebox
Provides: icebox
Description: Ice (Internet Communications Engine) (dependency package)
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This is a metapackage the depends on full Ice framework.

Package: zeroc-ice-compilers
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: libzeroc-ice3.6 (= ${binary:Version}),
         zeroc-ice-slice (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ice35-translators
Replaces: ice35-translators
Description: Slice compilers for developing Ice applications
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains slice compilers for developing Ice applications.

Package: zeroc-ice-slice
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: Slice files for Ice
 Internet Communications Engins (Ice) is a comprehensive RPC framework
 that helps you build distributed applications with minimal
 effort. Ice takes care of all interactions with low-level network
 programming interfaces and allows you to focus your efforts on your
 application logic. When using Ice, there is no need to worry about
 details such as opening network connections, serializing and
 deserializing data for network transmission, or retrying failed
 connection attempts (to name just a few of dozens of such low-level
 details).
 .
 This package contains slice files used by Ice framework.

Package: zeroc-ice-utils
Architecture: any
Multi-Arch: foreign
Section: admin
